%define sname	pg_bulkload

Summary:	High speed data load utility for PostgreSQL
Name:		postgresql-%{sname}
Version:	2.4beta1
Release:	2%{?dist}
License:	BSD
Group:		Applications/Databases
Source0:	http://pgfoundry.org/frs/download.php/1301/%{sname}-%{version}.tar.gz
Source1:	nbtsort.c
Source2:	pg_crc.c
URL:		http://pgfoundry.org/projects/pgbulkload/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)

BuildRequires:	postgresql-devel, postgresql
Requires:	postgresql

%description 	
pg_bulkload provides high-speed data loading capability to PostgreSQL users.

When we load huge amount of data to a database, it is common situation that data set to be loaded is valid and consistent. For example, dedicated tools are used to prepare such data, providing data validation in advance. In such cases, we'd like to bypass any overheads within database system to load data as quickly as possible. pg_bulkload is developed to help such situations. Therefore, it is not pg_bulkload's goal to provide detailed data validation. Rather, pg_bulkload asumes that loaded data set is validated by separate means. If you're not in such situation, you should use COPY command in PostgreSQL. 


%prep
rm -rf %{_libdir}/pgsql/pgxs/src/backend/
rm -rf %{_builddir}/src
rm -rf %{_builddir}/pg_bulkload

%setup -n %{sname}

# The following .c files are required to compile pg_bulkload. 
%{__mkdir} -p %{_libdir}/pgsql/pgxs/src/backend/utils/hash/
%{__cp} %{_sourcedir}/pg_crc.c %{_libdir}/pgsql/pgxs/src/backend/utils/hash/pg_crc.c 
%{__mkdir} -p %{_builddir}/src/backend/access/nbtree
%{__cp} %{_sourcedir}/nbtsort.c %{_builddir}/src/backend/access/nbtree/nbtsort.c 

%build
USE_PGXS=1 make %{?_smp_mflags}

%install
rm -rf %{buildroot}
USE_PGXS=1 make DESTDIR=%{buildroot} install


%define pg_sharedir %{_datadir}/pgsql/contrib

# sample_*.ctl files aren't installed by source code installation, 
# but are needed for rpm users.
install -d %{buildroot}%{pg_sharedir}
install -m 755 %{_builddir}/%{sname}/sample_bin.ctl %{buildroot}%{pg_sharedir}/sample_bin.ctl
install -m 755 %{_builddir}/%{sname}/sample_csv.ctl %{buildroot}%{pg_sharedir}/sample_csv.ctl

%files
%defattr(755,root,root,755)
%{_bindir}/pg_bulkload
%{_bindir}/postgresql
%{_libdir}/pgsql/pg_bulkload.so
%{_libdir}/pgsql/pg_timestamp.so
%defattr(644,root,root,755)
%doc README.pg_bulkload 
%{pg_sharedir}/pg_bulkload.sql 
%{pg_sharedir}/uninstall_pg_bulkload.sql 
%{pg_sharedir}/sample_bin.ctl 
%{pg_sharedir}/sample_csv.ctl 
%{pg_sharedir}/pg_timestamp.sql 
%{pg_sharedir}/uninstall_pg_timestamp.sql

%clean
rm -rf %{buildroot}
rm -rf %{_libdir}/pgsql/pgxs/src/backend/

%changelog
* Thu Apr 24 2009 - Toru SHIMOGAKI <shimogaki.toru@oss.ntt.co.jp> 2.4beta1-2
- Use nbtsort.c and pg_crc.c directly.
* Thu Apr 23 2009 - Toru SHIMOGAKI <shimogaki.toru@oss.ntt.co.jp> 2.4beta1-1
- Initial packaging
